Back to: SuomenKielipankki:Helpdesk

Helpdesk Item: I get an error when trying to see more context in Lemmie

Status

A FIXED BUG

Description of the Problem

Use Scenario

For example, when I searched word tala from the Finska Notisbyrån corpus and then clicked an icon for more contexts, I got the following message:

Internal Server Error
The server encountered an internal error or misconfiguration and was
unable to complete your request. Please contact the server administrator,
wwwadm... and inform them of the time the error occurred, and
anything you might have done that may have caused the error.
More information about this error may be available in the server error log.

Re-producing the error:

  • To simulate the query, click this link.
  • To simulate the moreContext-query that gives an error message, click this link .

The timeline of bug reports and relevant changes in the system

  • date: Tue, 12 Sep 2006 13:22:26 +0300
    > Hei, tälläinen ilmoitus tuli kun yritin etsiä Keskiranskan korpusta
    > tuolla Lemmie 2 ohjelman avulla. Voiko Keskiranskan korpusta käyttää tällä
    > vai onko käytettävä jotain muuta ohjelmaa ?
    >
    > Internal Server Error
    > The server encountered an internal error or misconfiguration and was
    > unable to complete your request. Please contact the server administrator,
    > wwwadm.... and inform them of the time the error occurred, and
    > anything you might have done that may have caused the error.
    > More information about this error may be available in the server error log.
    

  • Lemmie database connect string was changed from laari to db 2006-09-13 around 12 o'clock. On Wednesday morning, a Lemmie adminstrator modifies Lemmie to use a new database server by changing some internal settings in Lemmie. Unfortunately, the new database server requires MySQL 5 libraries.

  • approximate date: Wed, 13 Sep 2006 12:00:00
    > ... kone antoi seuraava viestin:
    >    Cannot load WWW-Lemmie 2.0
    >    Possible reasons for this error are:
    >       * You do not have permisson to use WWW-Lemmie 2.0 ( Application form (in Finnish))
    >       * WWW-Lemmie 2.0 is being maintained. Try again in a few minutes
    >       * There is an error in your personal settings file (~/.lemmie/settings.xml)
    >    If you do have permisson to use WWW-Lemmie 2.0, but still continuously get this message,
    >    please report the issue to ling.csc.fi.
    >    Sorry for the inconvenience.
    >    The Language Bank Administrator
    
    It seems that the second reason is exactly correct in this case.

  • Date: Wed, 13 Sep 2006 12:02:55 +0300 The new MySQL 5 libraries have been installed and the most important modules of Lemmie 2 has been updated to use them. Lemmie 2 starts to work, but it is not completely tested. One of the users happens to use a function that does not yet work as expected:

  • Date: Wed, 13 Sep 2006 12:07:55 +0300 The administrator make a note that new libraries have to be specificially loaded to every module using it.
    Perlin MySQL 5 ajuri on asennettu Tutkijan käyttöliittymän koneelle.
    Ylläpitäjien täytyy muistaa lisätä Perl-ohjelmiin "use lib" -direktiivi, jotta Perl löytää ajurin.  
    

  • date: Wed, 13 Sep 2006 14:29:44 +0300
    > Lemmien käyttö on tänään jostain syystä takkuillut pitkin päivää. 
    > Nyt olen taas päässyt sisään Lemmieen, mutta jostain syystä esimerkkilauseiden laajempaa
    > kontekstia ei saa näkyville, vaan kone antaa seuraavan viestin:
    > 
    > 
    > Internal Server Error
    > The server encountered an internal error or misconfiguration and was
    > unable to complete your request. Please contact the server administrator,
    > wwwadm... and inform them of the time the error occurred, and
    > anything you might have done that may have caused the error.
    > More information about this error may be available in the server error log.
    

The Answer(s)

Diagnosis

It seems that moreContext-module of Lemmie 2 has not yet been upgraded to use Lemmie 5.

Solution

The administrator maintains the moreContext module at 16:37 by inserting MySQL 5 libraries to the moreContex. This worked out!

Further Refelections

  • need not document how Lemmi should be tested after each change
  • saveXML and saveBinary are potentially still buggy
  • It is still a mystery where the Tuesday's error comes from

-- AnssiYliJyra - 21 Aug 2006

HelpdeskForm
HelpdeskProblemName MoreContext-link gives an internal server error in Lemmie
HelpdeskProblemAbstract Lemmie has become unstable 12 September 2006. The error reports on the 13th are related to a change in the Perl libraries.
HelpdeskUrgency FullyResponded
HelpdeskNumberOfUsers 300
HelpdeskDateIssued 2006-09-13
Topic revision: r4 - 2006-10-11 - AnssiYliJyra
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2018 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback